ResourceGroupDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.ResourceGroupDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class ResourceGroupDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.authz.server.session.ResourceGroupDAO

    public class ResourceGroupDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`ResourceGroupDAO(DAOFactory f)`

Method Summary
`java.util.Collection` | `findByGroupType_orderName(boolean isAscending, int groupType)`
`ResourceGroup` | `findById(java.lang.Integer id)`
`ResourceGroup` | `findByName(java.lang.String name)`
`java.util.Collection` | `findByNotRoleId_orderName(java.lang.Integer roleId, boolean asc)`
`java.util.Collection` | `findByRoleIdAndSystem_orderName(java.lang.Integer roleId, boolean system, boolean asc)`
`java.util.Collection` | `findCompatible(Resource proto)`
`java.util.Collection` | `findDeletedGroups()`
`ResourceGroup` | `findRootGroup()`
`java.util.Collection` | `findWithNoRoles_orderName(boolean asc)`
`ResourceGroup` | `get(java.lang.Integer id)`
`java.lang.Long` | `getMaxCollectionInterval(ResourceGroup g, java.lang.Integer templateId)` Return the maximum collection interval for the given template within the group.
`java.util.List` | `getMetricsCollecting(ResourceGroup g, java.lang.Integer templateId)` Return a List of Measurements that are collecting for the given template ID and group.
`void` | `remove(ResourceGroup entity)`
`void` | `save(ResourceGroup entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceGroupDAO

    public ResourceGroupDAO(DAOFactory f)

Method Detail

### findById

    public ResourceGroup findById(java.lang.Integer id)

### get

    public ResourceGroup get(java.lang.Integer id)

### save

    public void save(ResourceGroup entity)

### remove

    public void remove(ResourceGroup entity)

### findRootGroup

    public ResourceGroup findRootGroup()

### findByName

    public ResourceGroup findByName(java.lang.String name)

### findByRoleIdAndSystem_orderName

    public java.util.Collection findByRoleIdAndSystem_orderName(java.lang.Integer roleId,
                                                                boolean system,
                                                                boolean asc)

### findWithNoRoles_orderName

    public java.util.Collection findWithNoRoles_orderName(boolean asc)

### findByNotRoleId_orderName

    public java.util.Collection findByNotRoleId_orderName(java.lang.Integer roleId,
                                                          boolean asc)

### findCompatible

    public java.util.Collection findCompatible(Resource proto)

### getMaxCollectionInterval

    public java.lang.Long getMaxCollectionInterval(ResourceGroup g,
                                                   java.lang.Integer templateId)

  Return the maximum collection interval for the given template within the group.

  Parameters:
    `g` - The group in question.
    `templateId` - The measurement template to query.
  Returns:
    templateId The maximum collection time in milliseconds.

### getMetricsCollecting

    public java.util.List getMetricsCollecting(ResourceGroup g,
                                               java.lang.Integer templateId)

  Return a List of Measurements that are collecting for the given template ID and group.

  Parameters:
    `g` - The group in question.
    `templateId` - The measurement template to query.
  Returns:
    templateId A list of Measurement objects with the given template id in the group that are set to be collected.

### findByGroupType_orderName

    public java.util.Collection findByGroupType_orderName(boolean isAscending,
                                                          int groupType)

### findDeletedGroups

    public java.util.Collection findDeletedGroups()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.